Subject: Re: bug#14384: mh-e non-standard names for defcustom etc

From: Bill Wohler <[email-masked]>
Date: Sun, 12 May 2013 18:31:04 -0700

Glenn Morris <[email-masked]> writes:

> Package: emacs
> Version: 24.3
>
> emacs -Q
> M-x customize-group RET mh TAB [no match]
>
> Ie, none of the mh customization groups are visible to the customize interface.
> This is because you use non-standard macros defgroup-mh, defcustom-mh etc.
> Because of this, custom-make-dependencies fails to add any mh-e entries
> to cus-load.el.
>
> We can paper over this in the Emacs lisp/Makefile by simply
> loading mh-e/mh-e when running custom-make-dependencies.

Good to know, thanks!

> It would be simpler if mh-e used standard macros though.

Agreed!

> Are the -mh versions still needed?
> "This macro is used by Emacs versions that lack the :package-version
> keyword, introduced in Emacs 22."
> Do you still want to support people taking the latest mh-e and running
> it on Emacs older than 22.1 (released 2007)?

We don't even support Emacs 22 any more. However, we support XEmacs
21.4. Let me check to see if we can drop the -mh versions there. If so,
I will. If not, I will ask you kindly to "paper over this" until further
notice. Thanks!

> I see this came up before.
> http://sourceforge.net/mailarchive/forum.php?thread_name=19664.1182361165%40juniper.net&forum_name=mh-e-devel

-- 
Bill Wohler <[email-masked]> aka <[email-masked]>
http://www.newt.com/wohler/
GnuPG ID:610BD9AD